<?php

class SuperPlantillaWidget{
	public static $campos_tabla = array();
	public static $alias = '';
	public static $nombreTabla = '';
	public static $camposSelect = '';
	public static $whereSelect = '';
	public static $publicFieldList = array();

	private $array_valores = array('nombre'=>'', 'funcion'=>'', 'tipo'=>'php', 'ejecutar'=>true, 'opciones' => NULL);
	
	function __construct(){
	}
	
	function __destruct(){
	}
	
	function GW($nombre, $funcion=NULL, $tipo = NULL, $ejecutar = NULL, $opciones = NULL){
		//$funcion = ($funcion === NULL)? $nombre : $funcion;
		$retorno = $this->array_valores;
		$retorno['nombre'] = $nombre;
		$retorno['funcion'] = $funcion;
		$retorno['tipo'] = ($tipo === NULL)?$retorno['tipo'] : $tipo;
		$retorno['ejecutar'] = ($ejecutar === NULL)?$retorno['ejecutar'] : $ejecutar;
		$retorno['opciones'] = ($opciones === NULL)?$retorno['opciones'] : $opciones;
		return($retorno);
	}
}
?>